Loading...
Searching...
No Matches
Opm::DiffusionModule< TypeTag, false > Class Template Reference

Provides the auxiliary methods required for consideration of the diffusion equation. More...

`#include <diffusionmodule.hh>`

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the diffusion module.
template<class Context>
static void | addDiffusiveFlux (RateVector &, const Context &, unsigned, unsigned)
| Adds the diffusive mass flux flux to the flux vector over a flux integration point.

## Detailed Description

template<class TypeTag>
class Opm::DiffusionModule< TypeTag, false >

Provides the auxiliary methods required for consideration of the diffusion equation.

The documentation for this class was generated from the following file:

- opm/models/common/diffusionmodule.hh